#!/usr/bin/env python

#/** 
 #* Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 #* 
 #* Based on code from ./cinnamon-settings/modules/cs_calendar.py in xorg-server. 
 #* Copyright (c) 1997-2003 by The XFree86 Project, Inc.
 #* 
 #* This software is published by the license of CPU-OS License, you can use and 
 #* distibuted this software under this License. See CPU-OS Liense for more detail.
 #*
 #* You should have receive a copy of CPU-OS License. If not, please contact us 
 #* by email <support_os@cpu-os.ac.cn>  
 #* 
 #**/


from SettingsWidgets import *
from gi.repository import Gtk

class Module:
    def __init__(self, content_box):
        keywords = _("time, date, calendar, format, network, sync")
        sidePage = SidePage(_("Date & Time"), "cs-date-time1", keywords, content_box, module=self)
        self.sidePage = sidePage
        self.name = "calendar"
        self.comment = _("Manage date and time settings")
        self.category = "prefs"        
                
    def on_module_selected(self):
        if not self.loaded:
            print "Loading Calendar module"
            bg = SectionBg()        
            bg.expand = True
            self.sidePage.add_widget(bg)
            vbox = Gtk.Box(orientation=Gtk.Orientation.VERTICAL)
            bg.add(vbox)
                    
            try:
                section = Section(_("Date Settings"))
                widget = self.sidePage.content_box.c_manager.get_c_widget("datetime")
                section.add_expand(widget)            
                vbox.add(section)
                vbox.add(Gtk.Separator.new(Gtk.Orientation.HORIZONTAL))
            except Exception, detail:
                print detail            

            section = Section(_("Date Format"))
	    widget = GSettingsCheckButton(_("Use 24h clock"), "org.cdos.desktop.interface", "clock-use-24h", None)
	    box = Gtk.HBox()
            box.set_spacing(200)
            box.add(widget)
	    widget = GSettingsCheckButton(_("Display the date"), "org.cdos.desktop.interface", "clock-show-date", None)
            box.add(widget)
	    widget = GSettingsCheckButton(_("Display seconds"), "org.cdos.desktop.interface", "clock-show-seconds", None)
	    box.add(widget)
            section.add(box)
            #section.add(GSettingsCheckButton(_("Use 24h clock"), "org.cdos.desktop.interface", "clock-use-24h", None))
            #section.add(GSettingsCheckButton(_("Display the date"), "org.cdos.desktop.interface", "clock-show-date", None))
            #section.add(GSettingsCheckButton(_("Display seconds"), "org.cdos.desktop.interface", "clock-show-seconds", None))        
            vbox.add(section)
